package com.pcloud.book.timecontrol.dto;

import java.io.Serializable;
import java.util.List;

/**
 * 任务进度DTO
 * @author PENG
 * @date 2020年2月19日14:59:40
 */
public class TaskProgressDTO implements Serializable {

    private static final long serialVersionUID = -5460644900501987914L;

    private String wxUserId;

    private String nickname;

    private String headPic;

    private Integer subscribeCount;

    private Integer finishCount;

    private String taskName;

    private String taskIntroduce;

    private Integer taskCount;

    private Integer finishTaskCount;

    private Integer prizeTaskCount;

    private List<TaskProgressItemDTO> itemList;

    public String getWxUserId() {
        return wxUserId;
    }

    public void setWxUserId(String wxUserId) {
        this.wxUserId = wxUserId;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getHeadPic() {
        return headPic;
    }

    public void setHeadPic(String headPic) {
        this.headPic = headPic;
    }

    public Integer getSubscribeCount() {
        return subscribeCount;
    }

    public void setSubscribeCount(Integer subscribeCount) {
        this.subscribeCount = subscribeCount;
    }

    public Integer getFinishCount() {
        return finishCount;
    }

    public void setFinishCount(Integer finishCount) {
        this.finishCount = finishCount;
    }

    public String getTaskName() {
        return taskName;
    }

    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }

    public String getTaskIntroduce() {
        return taskIntroduce;
    }

    public void setTaskIntroduce(String taskIntroduce) {
        this.taskIntroduce = taskIntroduce;
    }

    public Integer getTaskCount() {
        return taskCount;
    }

    public void setTaskCount(Integer taskCount) {
        this.taskCount = taskCount;
    }

    public Integer getFinishTaskCount() {
        return finishTaskCount;
    }

    public void setFinishTaskCount(Integer finishTaskCount) {
        this.finishTaskCount = finishTaskCount;
    }

    public Integer getPrizeTaskCount() {
        return prizeTaskCount;
    }

    public void setPrizeTaskCount(Integer prizeTaskCount) {
        this.prizeTaskCount = prizeTaskCount;
    }

    public List<TaskProgressItemDTO> getItemList() {
        return itemList;
    }

    public void setItemList(List<TaskProgressItemDTO> itemList) {
        this.itemList = itemList;
    }

    @Override
    public String toString() {
        return "TaskProgressDTO{" +
                "wxUserId='" + wxUserId + '\'' +
                ", nickname='" + nickname + '\'' +
                ", headPic='" + headPic + '\'' +
                ", subscribeCount=" + subscribeCount +
                ", finishCount=" + finishCount +
                ", taskName='" + taskName + '\'' +
                ", taskIntroduce='" + taskIntroduce + '\'' +
                ", taskCount=" + taskCount +
                ", finishTaskCount=" + finishTaskCount +
                ", prizeTaskCount=" + prizeTaskCount +
                ", itemList=" + itemList +
                '}';
    }
}
